> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mynth.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task Result



## OpenAPI

````yaml https://api.mynth.io/openapi.json get /tasks/{id}/result
openapi: 3.1.0
info:
  title: Mynth
  description: Mynth API
  version: 1.0.0
servers: []
security: []
paths:
  /tasks/{id}/result:
    get:
      tags:
        - Tasks
      summary: Get Task Result
      operationId: getTasksByIdResult
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Task result returned
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            type: string
                          result:
                            type: object
                            title: Image Generate - Result
                            properties:
                              images:
                                type: array
                                items:
                                  anyOf:
                                    - type: object
                                      properties:
                                        cost:
                                          type: string
                                        id:
                                          type: string
                                        mynth_url:
                                          type: string
                                        size:
                                          type: string
                                          description: >-
                                            Size of the image after generation.
                                            Resolved from generated image, so it's
                                            always the true size of image. Presented
                                            in {width}x{height} format. For example:
                                            "1920x1080"
                                        status:
                                          const: success
                                        url:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        destination:
                                          anyOf:
                                            - type: object
                                              properties:
                                                error:
                                                  type: object
                                                  properties:
                                                    code:
                                                      type: string
                                                    message:
                                                      type: string
                                                    provider_response:
                                                      type: string
                                                  required:
                                                    - code
                                                name:
                                                  type: string
                                                status:
                                                  const: failed
                                              required:
                                                - error
                                                - name
                                                - status
                                            - type: object
                                              properties:
                                                name:
                                                  type: string
                                                status:
                                                  const: success
                                              required:
                                                - name
                                                - status
                                        rating:
                                          anyOf:
                                            - type: object
                                              properties:
                                                error:
                                                  type: object
                                                  properties:
                                                    code:
                                                      type: string
                                                  required:
                                                    - code
                                                status:
                                                  const: failed
                                              required:
                                                - error
                                                - status
                                            - type: object
                                              properties:
                                                level:
                                                  type: string
                                                status:
                                                  const: success
                                              required:
                                                - level
                                                - status
                                      required:
                                        - cost
                                        - id
                                        - mynth_url
                                        - size
                                        - status
                                        - url
                                    - type: object
                                      properties:
                                        error:
                                          type: object
                                          properties:
                                            code:
                                              type: string
                                            message:
                                              type: string
                                          required:
                                            - code
                                        status:
                                          const: failed
                                      required:
                                        - error
                                        - status
                              model:
                                enum:
                                  - alibaba/qwen-image-2.0
                                  - alibaba/qwen-image-2.0-pro
                                  - black-forest-labs/flux-1-schnell
                                  - black-forest-labs/flux-virtual-try-on
                                  - black-forest-labs/flux.1-dev
                                  - black-forest-labs/flux.2-dev
                                  - black-forest-labs/flux.2-flex
                                  - black-forest-labs/flux.2-klein-4b
                                  - black-forest-labs/flux.2-max
                                  - black-forest-labs/flux.2-pro
                                  - bytedance/seedream-5.0-lite
                                  - google/gemini-3-pro-image-preview
                                  - google/gemini-3.1-flash-image
                                  - google/gemini-3.1-flash-lite-image
                                  - ideogram/remove-background
                                  - imagineart/imagineart-1.5-pro
                                  - imagineart/imagineart-2.0
                                  - john6666/bismuth-illustrious-mix
                                  - klingai/kling-image-3.0
                                  - klingai/kling-image-o3
                                  - krea/krea-2-large
                                  - krea/krea-2-medium
                                  - krea/krea-2-turbo
                                  - luma/uni-1
                                  - luma/uni-1-max
                                  - openai/gpt-image-2
                                  - prunaai/p-image-try-on
                                  - purplesmartai/pony-diffusion-v6-xl
                                  - recraft/recraft-v4
                                  - recraft/recraft-v4-pro
                                  - sourceful/riverflow-2.0-pro
                                  - tongyi-mai/z-image
                                  - tongyi-mai/z-image-turbo
                                  - wan/wan2.6-image
                                  - wan/wan2.7-image
                                  - wan/wan2.7-image-pro
                                  - xai/grok-imagine-image
                                  - xai/grok-imagine-image-quality
                              magic_prompt:
                                type: object
                                properties:
                                  positive:
                                    type: string
                                  negative:
                                    type: string
                                required:
                                  - positive
                            required:
                              - images
                              - model
                          status:
                            const: completed
                          type:
                            const: image.generate
                        required:
                          - id
                          - result
                          - status
                          - type
                        additionalProperties: false
                      - type: object
                        properties:
                          id:
                            type: string
                          result:
                            type: object
                            properties:
                              results:
                                type: array
                                maxItems: 10
                                minItems: 1
                                items:
                                  anyOf:
                                    - type: object
                                      properties:
                                        alt:
                                          type: string
                                          maxLength: 160
                                          minLength: 1
                                        status:
                                          const: success
                                        url:
                                          type: string
                                          description: The submitted image URL
                                      required:
                                        - alt
                                        - status
                                        - url
                                    - type: object
                                      properties:
                                        error:
                                          type: object
                                          properties:
                                            code:
                                              type: string
                                          required:
                                            - code
                                        status:
                                          const: failed
                                        url:
                                          type: string
                                          description: The submitted image URL
                                      required:
                                        - error
                                        - status
                                        - url
                            required:
                              - results
                          status:
                            const: completed
                          type:
                            const: image.alt
                        required:
                          - id
                          - result
                          - status
                          - type
                        additionalProperties: false
                      - type: object
                        properties:
                          id:
                            type: string
                          result:
                            type: object
                            properties:
                              results:
                                type: array
                                maxItems: 10
                                minItems: 1
                                items:
                                  anyOf:
                                    - type: object
                                      properties:
                                        error:
                                          type: object
                                          properties:
                                            code:
                                              type: string
                                          required:
                                            - code
                                        status:
                                          const: failed
                                        url:
                                          type: string
                                          description: The submitted image URL
                                      required:
                                        - error
                                        - status
                                        - url
                                    - type: object
                                      properties:
                                        level:
                                          type: string
                                          description: The rating level
                                          maxLength: 24
                                          minLength: 1
                                        status:
                                          const: success
                                        url:
                                          type: string
                                          description: The submitted image URL
                                      required:
                                        - level
                                        - status
                                        - url
                            required:
                              - results
                          status:
                            const: completed
                          type:
                            const: image.rate
                        required:
                          - id
                          - result
                          - status
                          - type
                        additionalProperties: false
                      - type: object
                        properties:
                          id:
                            type: string
                          result:
                            type: 'null'
                          status:
                            const: failed
                          type:
                            const: image.alt
                        required:
                          - id
                          - result
                          - status
                          - type
                        additionalProperties: false
                      - type: object
                        properties:
                          id:
                            type: string
                          result:
                            type: 'null'
                          status:
                            const: failed
                          type:
                            const: image.generate
                        required:
                          - id
                          - result
                          - status
                          - type
                        additionalProperties: false
                      - type: object
                        properties:
                          id:
                            type: string
                          result:
                            type: 'null'
                          status:
                            const: failed
                          type:
                            const: image.rate
                        required:
                          - id
                          - result
                          - status
                          - type
                        additionalProperties: false
                      - type: object
                        properties:
                          id:
                            type: string
                          result:
                            type: 'null'
                          status:
                            const: pending
                          type:
                            const: image.alt
                        required:
                          - id
                          - result
                          - status
                          - type
                        additionalProperties: false
                      - type: object
                        properties:
                          id:
                            type: string
                          result:
                            type: 'null'
                          status:
                            const: pending
                          type:
                            const: image.generate
                        required:
                          - id
                          - result
                          - status
                          - type
                        additionalProperties: false
                      - type: object
                        properties:
                          id:
                            type: string
                          result:
                            type: 'null'
                          status:
                            const: pending
                          type:
                            const: image.rate
                        required:
                          - id
                          - result
                          - status
                          - type
                        additionalProperties: false
                required:
                  - data
      security:
        - apiKeyAuth: []
        - publicAccessTokenAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: http
      scheme: bearer
      description: 'Mynth API key sent as `Authorization: Bearer <api-key>`.'
    publicAccessTokenAuth:
      type: http
      scheme: bearer
      description: 'Public access token sent as `Authorization: Bearer <pat>`.'

````